Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant
Class WebApplicationProxyImpl

    java.lang.Object
      org.mortbay.jetty.ant.WebApplicationProxyImpl

All Implemented Interfaces:
  WebApplicationProxy

    public class WebApplicationProxyImpl

extends java.lang.Object
implements WebApplicationProxy

An abstraction layer over Jetty WebAppContext.

Author:
  Jakub Pawlowicz

Constructor Summary
`WebApplicationProxyImpl(java.lang.String name)` Default constructor.

Method Summary
`void` | `createApplicationContext(ContextHandlerCollection contexts)` Creates a new Jetty web application context from this object.
`java.util.List` | `getClassPathFiles()`
`java.util.List` | `getContextHandlers()`
`java.lang.String` | `getContextPath()`
`java.util.List` | `getExtraScanTargets()`
`java.util.List` | `getLibraries()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProxiedObject()`
`java.io.File` | `getSourceDirectory()`
`java.io.File` | `getWebDefaultXmlFile()`
`java.io.File` | `getWebXmlFile()`
`boolean` | `isFileScanned(java.lang.String pathToFile)` Checks if a given file is scanned according to the internal configuration.
`static void` | `setBaseTempDirectory(java.io.File tempDirectory)`
`void` | `setClassPathFiles(java.util.List classPathFiles)`
`void` | `setContextHandlers(java.util.List contextHandlers)`
`void` | `setContextPath(java.lang.String contextPath)`
`void` | `setExtraScanTargetsConfiguration(FileMatchingConfiguration extraScanTargetsConfiguration)`
`void` | `setJettyEnvXml(java.io.File jettyEnvXml)`
`void` | `setLibrariesConfiguration(FileMatchingConfiguration classesConfiguration)`
`void` | `setSourceDirectory(java.io.File warFile)`
`void` | `setWebDefaultXmlFile(java.io.File webDefaultXmlfile)`
`void` | `setWebXml(java.io.File webXmlFile)`
`void` | `start()` Starts this web application context.
`void` | `stop()` Stops this web application context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebApplicationProxyImpl

    public WebApplicationProxyImpl(java.lang.String name)
                            throws java.lang.Exception

  Default constructor. Takes application name as an argument.

  Parameters:
    `name` - web application name.
  Throws:
    `java.lang.Exception`

Method Detail

### setBaseTempDirectory

    public static void setBaseTempDirectory(java.io.File tempDirectory)

### getClassPathFiles

    public java.util.List getClassPathFiles()

### getContextPath

    public java.lang.String getContextPath()

### getName

    public java.lang.String getName()

### getSourceDirectory

    public java.io.File getSourceDirectory()

### getWebXmlFile

    public java.io.File getWebXmlFile()

### setSourceDirectory

    public void setSourceDirectory(java.io.File warFile)

### setContextPath

    public void setContextPath(java.lang.String contextPath)

### setWebXml

    public void setWebXml(java.io.File webXmlFile)

### setJettyEnvXml

    public void setJettyEnvXml(java.io.File jettyEnvXml)

### setClassPathFiles

    public void setClassPathFiles(java.util.List classPathFiles)

### isFileScanned

    public boolean isFileScanned(java.lang.String pathToFile)

  Checks if a given file is scanned according to the internal configuration. This may be difficult due to use of 'includes' and 'excludes' statements.

  Parameters:
    `pathToFile` - a fully qualified path to file.
  Returns:
    true if file is being scanned, false otherwise.

### setLibrariesConfiguration

    public void setLibrariesConfiguration(FileMatchingConfiguration classesConfiguration)

### getLibraries

    public java.util.List getLibraries()

### setExtraScanTargetsConfiguration

    public void setExtraScanTargetsConfiguration(FileMatchingConfiguration extraScanTargetsConfiguration)

### getExtraScanTargets

    public java.util.List getExtraScanTargets()

### getContextHandlers

    public java.util.List getContextHandlers()

### setContextHandlers

    public void setContextHandlers(java.util.List contextHandlers)

### getProxiedObject

    public java.lang.Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#getProxiedObject()`

### start

    public void start()

  Description copied from interface: `WebApplicationProxy`
  Starts this web application context.

  Specified by:
    `start` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#start()`

### stop

    public void stop()

  Description copied from interface: `WebApplicationProxy`
  Stops this web application context.

  Specified by:
    `stop` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#stop()`

### createApplicationContext

    public void createApplicationContext(ContextHandlerCollection contexts)

  Description copied from interface: `WebApplicationProxy`
  Creates a new Jetty web application context from this object.

  Specified by:
    `createApplicationContext` in interface `WebApplicationProxy`
  Parameters:
    `contexts` - collection of context this application should be added to.
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#createApplicationContext(org.mortbay.jetty.handler.ContextHandlerCollection)`

### getWebDefaultXmlFile

    public java.io.File getWebDefaultXmlFile()

### setWebDefaultXmlFile

    public void setWebDefaultXmlFile(java.io.File webDefaultXmlfile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.